### Method

# Gtk EntryBuffer insert_text

#### Declaration [src]

    guint
    gtk_entry_buffer_insert_text (
      GtkEntryBuffer* buffer,
      guint position,
      const char* chars,
      int n_chars
    )

#### Description [src]

Inserts `n_chars` characters of `chars` into the contents of the buffer, at position `position`.

If `n_chars` is negative, then characters from chars will be inserted until a null-terminator is found. If `position` or `n_chars` are out of bounds, or the maximum buffer text length is exceeded, then they are coerced to sane values.

Note that the position and length are in characters, not in bytes.

#### Parameters

`position` | `guint`
| The position at which to insert text.
`chars` | `const char*`
| The text to insert into the buffer.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`n_chars` | `int`
| The length of the text in characters, or -1.

#### Return value

Returns: | `guint`
| The number of characters actually inserted.